Aden

Chat

Real-time team chat — threads, messages, and read receipts

GET
/api/v1/chat/mention-search

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Query Parameters

teamId*string
q?string
limit?string
curl -X GET "https://example.com/api/v1/chat/mention-search?teamId=string"
GET
/api/v1/chat/mention-context

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Query Parameters

teamId*string
kind*string
id*string
curl -X GET "https://example.com/api/v1/chat/mention-context?teamId=string&kind=string&id=string"
GET
/api/v1/chat/threads

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Query Parameters

teamId*string
curl -X GET "https://example.com/api/v1/chat/threads?teamId=string"
POST
/api/v1/chat/threads

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/chat/threads" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "teamIds": [      0    ],    "type": "team"  }'
GET
/api/v1/chat/threads/{threadId}/messages

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

threadId*string

Query Parameters

limit?string
curl -X GET "https://example.com/api/v1/chat/threads/string/messages"
POST
/api/v1/chat/threads/{threadId}/messages

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

threadId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/chat/threads/string/messages" \  -H "Content-Type: application/json" \  -d '{    "content": "string"  }'
GET
/api/v1/chat/threads/{threadId}/read-receipts

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

threadId*string
curl -X GET "https://example.com/api/v1/chat/threads/string/read-receipts"
PATCH
/api/v1/chat/threads/{threadId}/messages/{messageId}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

threadId*string
messageId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X PATCH "https://example.com/api/v1/chat/threads/string/messages/string" \  -H "Content-Type: application/json" \  -d '{    "content": "string"  }'
DELETE
/api/v1/chat/threads/{threadId}/messages/{messageId}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

threadId*string
messageId*string
curl -X DELETE "https://example.com/api/v1/chat/threads/string/messages/string"
GET
/api/v1/chat/threads/{threadId}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

threadId*string
curl -X GET "https://example.com/api/v1/chat/threads/string"
PATCH
/api/v1/chat/threads/{threadId}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

threadId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X PATCH "https://example.com/api/v1/chat/threads/string" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
DELETE
/api/v1/chat/threads/{threadId}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

threadId*string
curl -X DELETE "https://example.com/api/v1/chat/threads/string"
POST
/api/v1/chat/threads/{threadId}/leave

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

threadId*string
curl -X POST "https://example.com/api/v1/chat/threads/string/leave"
POST
/api/v1/chat/threads/{threadId}/members

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

threadId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/chat/threads/string/members" \  -H "Content-Type: application/json" \  -d '{    "memberIds": [      "string"    ]  }'
DELETE
/api/v1/chat/threads/{threadId}/members/{userId}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

threadId*string
userId*string
curl -X DELETE "https://example.com/api/v1/chat/threads/string/members/string"
POST
/api/v1/chat/threads/{threadId}/read

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

threadId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/chat/threads/string/read" \  -H "Content-Type: application/json" \  -d '{    "lastReadMessageId": "string"  }'
Was this helpful?